<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- XRef/xref21.html -->
<!-- this view was generated by XRef -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Cross Reference : Synopsis::Parser::type_parameter&#40;PTree::Node*&amp;&#41; - Synopsis::SymbolLookup::Class::~Class&#40;&#41;</title>
<link href="../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="XRef">
<div class="navigation">
<span class="normal"><a href="../Scopes/global.html" >Global Namespace</a></span>
<span class="normal"><a href="../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../NameIndex.html" >Name Index</a></span>
</div>
<h1 >Cross Reference : Synopsis::Parser::type_parameter&#40;PTree::Node*&amp;&#41; - Synopsis::SymbolLookup::Class::~Class&#40;&#41;</h1><div class="xref-name"><a id="Synopsis_mParser_mtype_parameter_lPTree_mNode_S_A_r" /><h2 >Synopsis::Parser::type_parameter&#40;PTree::Node*&amp;&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#126">Synopsis/Parser.hh:126</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mtype_specifier_lPTree_mNode_S_A_cbool_cPTree_mEncoding_A_r" /><h2 >Synopsis::Parser::type_specifier&#40;PTree::Node*&amp;&#44;bool&#44;PTree::Encoding&amp;&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#93">Synopsis/Parser.hh:93</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mtypedef__lPTree_mTypedef_S_A_r" /><h2 >Synopsis::Parser::typedef_&#40;PTree::Typedef*&amp;&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#92">Synopsis/Parser.hh:92</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mtypeid_expr_lPTree_mNode_S_A_r" /><h2 >Synopsis::Parser::typeid_expr&#40;PTree::Node*&amp;&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#371">Synopsis/Parser.hh:371</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mtypeof_expr_lPTree_mNode_S_A_r" /><h2 >Synopsis::Parser::typeof_expr&#40;PTree::Node*&amp;&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#380">Synopsis/Parser.hh:380</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_munary_expr_lPTree_mNode_S_A_r" /><h2 >Synopsis::Parser::unary_expr&#40;PTree::Node*&amp;&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#352">Synopsis/Parser.hh:352</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_muser_access_spec_lPTree_mNode_S_A_r" /><h2 >Synopsis::Parser::user_access_spec&#40;PTree::Node*&amp;&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#225">Synopsis/Parser.hh:225</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_muserdef_keyword_lPTree_mNode_S_A_r" /><h2 >Synopsis::Parser::userdef_keyword&#40;PTree::Node*&amp;&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#374">Synopsis/Parser.hh:374</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_muserdef_statement_lPTree_mNode_S_A_r" /><h2 >Synopsis::Parser::userdef_statement&#40;PTree::Node*&amp;&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#381">Synopsis/Parser.hh:381</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_musing_declaration_lPTree_mUsingDeclaration_S_A_r" /><h2 >Synopsis::Parser::using_declaration&#40;PTree::UsingDeclaration*&amp;&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#101">Synopsis/Parser.hh:101</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_musing_directive_lPTree_mUsingDirective_S_A_r" /><h2 >Synopsis::Parser::using_directive&#40;PTree::UsingDirective*&amp;&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#100">Synopsis/Parser.hh:100</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mvar_name_lPTree_mNode_S_A_r" /><h2 >Synopsis::Parser::var_name&#40;PTree::Node*&amp;&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#382">Synopsis/Parser.hh:382</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mvar_name_core_lPTree_mNode_S_A_cPTree_mEncoding_A_r" /><h2 >Synopsis::Parser::var_name_core&#40;PTree::Node*&amp;&#44;PTree::Encoding&amp;&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#383">Synopsis/Parser.hh:383</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mwhile_statement_lPTree_mNode_S_A_r" /><h2 >Synopsis::Parser::while_statement&#40;PTree::Node*&amp;&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#411">Synopsis/Parser.hh:411</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_m_tParser_l_r" /><h2 >Destructor Synopsis::Parser::~Parser&#40;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/Parser.html#_tParser_l_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#46">Synopsis/Parser.hh:46</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolFactory" /><h2 >Class Synopsis::SymbolFactory</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolFactory.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolFactory.hh.html#22">Synopsis/SymbolFactory.hh:22</a>: in class <a href="../Scopes/Synopsis/SymbolFactory.html" >Synopsis::SymbolFactory</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#45">Synopsis/Parser.hh:45</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
<li><a href="../Source/Synopsis/Parser.hh.html#452">Synopsis/Parser.hh:452</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/SymbolFactory.hh.html#26">Synopsis/SymbolFactory.hh:26</a>: Enum <a href="../Scopes/Synopsis/SymbolFactory.html#Language" >Language</a></li><li ><a href="../Source/Synopsis/SymbolFactory.hh.html#30">Synopsis/SymbolFactory.hh:30</a>: Constructor <a href="../Scopes/Synopsis/SymbolFactory.html#SymbolFactory_lLanguage_r" >SymbolFactory&#40;Language&#41;</a></li><li ><a href="../Source/Synopsis/SymbolFactory.hh.html#32">Synopsis/SymbolFactory.hh:32</a>: Member function <a href="../Scopes/Synopsis/SymbolFactory.html#current_scope_l_r" >current_scope&#40;&#41;</a></li><li ><a href="../Source/Synopsis/SymbolFactory.hh.html#34">Synopsis/SymbolFactory.hh:34</a>: Member function <a href="../Scopes/Synopsis/SymbolFactory.html#enter_scope_lconst.PTree_mNamespaceSpec_S_r" >enter_scope&#40;const PTree::NamespaceSpec*&#41;</a></li><li ><a href="../Source/Synopsis/SymbolFactory.hh.html#35">Synopsis/SymbolFactory.hh:35</a>: Member function <a href="../Scopes/Synopsis/SymbolFactory.html#enter_scope_lconst.PTree_mClassSpec_S_r" >enter_scope&#40;const PTree::ClassSpec*&#41;</a></li><li ><a href="../Source/Synopsis/SymbolFactory.hh.html#36">Synopsis/SymbolFactory.hh:36</a>: Member function <a href="../Scopes/Synopsis/SymbolFactory.html#enter_scope_lconst.PTree_mNode_S_r" >enter_scope&#40;const PTree::Node*&#41;</a></li><li ><a href="../Source/Synopsis/SymbolFactory.hh.html#37">Synopsis/SymbolFactory.hh:37</a>: Member function <a href="../Scopes/Synopsis/SymbolFactory.html#enter_scope_lconst.PTree_mFunctionDefinition_S_r" >enter_scope&#40;const PTree::FunctionDefinition*&#41;</a></li><li ><a href="../Source/Synopsis/SymbolFactory.hh.html#38">Synopsis/SymbolFactory.hh:38</a>: Member function <a href="../Scopes/Synopsis/SymbolFactory.html#enter_scope_lconst.PTree_mTemplateDecl_S_r" >enter_scope&#40;const PTree::TemplateDecl*&#41;</a></li><li ><a href="../Source/Synopsis/SymbolFactory.hh.html#39">Synopsis/SymbolFactory.hh:39</a>: Member function <a href="../Scopes/Synopsis/SymbolFactory.html#enter_scope_lconst.PTree_mBlock_S_r" >enter_scope&#40;const PTree::Block*&#41;</a></li><li ><a href="../Source/Synopsis/SymbolFactory.hh.html#40">Synopsis/SymbolFactory.hh:40</a>: Member function <a href="../Scopes/Synopsis/SymbolFactory.html#leave_scope_l_r" >leave_scope&#40;&#41;</a></li><li ><a href="../Source/Synopsis/SymbolFactory.hh.html#42">Synopsis/SymbolFactory.hh:42</a>: Member function <a href="../Scopes/Synopsis/SymbolFactory.html#declare_lconst.PTree_mDeclaration_S_r" >declare&#40;const PTree::Declaration*&#41;</a></li><li ><a href="../Source/Synopsis/SymbolFactory.hh.html#43">Synopsis/SymbolFactory.hh:43</a>: Member function <a href="../Scopes/Synopsis/SymbolFactory.html#declare_lconst.PTree_mTypedef_S_r" >declare&#40;const PTree::Typedef*&#41;</a></li><li ><a href="../Source/Synopsis/SymbolFactory.hh.html#45">Synopsis/SymbolFactory.hh:45</a>: Member function <a href="../Scopes/Synopsis/SymbolFactory.html#declare_lconst.PTree_mEnumSpec_S_r" >declare&#40;const PTree::EnumSpec*&#41;</a></li><li ><a href="../Source/Synopsis/SymbolFactory.hh.html#47">Synopsis/SymbolFactory.hh:47</a>: Member function <a href="../Scopes/Synopsis/SymbolFactory.html#declare_lconst.PTree_mNamespaceSpec_S_r" >declare&#40;const PTree::NamespaceSpec*&#41;</a></li><li ><a href="../Source/Synopsis/SymbolFactory.hh.html#49">Synopsis/SymbolFactory.hh:49</a>: Member function <a href="../Scopes/Synopsis/SymbolFactory.html#declare_lconst.PTree_mClassSpec_S_r" >declare&#40;const PTree::ClassSpec*&#41;</a></li><li ><a href="../Source/Synopsis/SymbolFactory.hh.html#50">Synopsis/SymbolFactory.hh:50</a>: Member function <a href="../Scopes/Synopsis/SymbolFactory.html#declare_lconst.PTree_mTemplateDecl_S_r" >declare&#40;const PTree::TemplateDecl*&#41;</a></li><li ><a href="../Source/Synopsis/SymbolFactory.hh.html#51">Synopsis/SymbolFactory.hh:51</a>: Member function <a href="../Scopes/Synopsis/SymbolFactory.html#declare_lconst.PTree_mTypeParameter_S_r" >declare&#40;const PTree::TypeParameter*&#41;</a></li><li ><a href="../Source/Synopsis/SymbolFactory.hh.html#52">Synopsis/SymbolFactory.hh:52</a>: Member function <a href="../Scopes/Synopsis/SymbolFactory.html#declare_lconst.PTree_mUsingDirective_S_r" >declare&#40;const PTree::UsingDirective*&#41;</a></li><li ><a href="../Source/Synopsis/SymbolFactory.hh.html#53">Synopsis/SymbolFactory.hh:53</a>: Member function <a href="../Scopes/Synopsis/SymbolFactory.html#declare_lconst.PTree_mParameterDeclaration_S_r" >declare&#40;const PTree::ParameterDeclaration*&#41;</a></li><li ><a href="../Source/Synopsis/SymbolFactory.hh.html#54">Synopsis/SymbolFactory.hh:54</a>: Member function <a href="../Scopes/Synopsis/SymbolFactory.html#declare_lconst.PTree_mUsingDeclaration_S_r" >declare&#40;const PTree::UsingDeclaration*&#41;</a></li><li ><a href="../Source/Synopsis/SymbolFactory.hh.html#57">Synopsis/SymbolFactory.hh:57</a>: Typedef <a href="../Scopes/Synopsis/SymbolFactory.html#Scopes" >Scopes</a></li><li ><a href="../Source/Synopsis/SymbolFactory.hh.html#62">Synopsis/SymbolFactory.hh:62</a>: Member function <a href="../Scopes/Synopsis/SymbolFactory.html#lookup_scope_of_qname_lPTree_mEncoding_A_cconst.PTree_mNode_S_r" >lookup_scope_of_qname&#40;PTree::Encoding&amp;&#44;const PTree::Node*&#41;</a></li><li ><a href="../Source/Synopsis/SymbolFactory.hh.html#64">Synopsis/SymbolFactory.hh:64</a>: Data member <a href="../Scopes/Synopsis/SymbolFactory.html#my_language" >my_language</a></li><li ><a href="../Source/Synopsis/SymbolFactory.hh.html#65">Synopsis/SymbolFactory.hh:65</a>: Data member <a href="../Scopes/Synopsis/SymbolFactory.html#my_scopes" >my_scopes</a></li><li ><a href="../Source/Synopsis/SymbolFactory.hh.html#70">Synopsis/SymbolFactory.hh:70</a>: Data member <a href="../Scopes/Synopsis/SymbolFactory.html#my_prototype" >my_prototype</a></li><li ><a href="../Source/Synopsis/SymbolFactory.hh.html#77">Synopsis/SymbolFactory.hh:77</a>: Data member <a href="../Scopes/Synopsis/SymbolFactory.html#my_template_parameters" >my_template_parameters</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolFactory_mC99" /><h2 >Enumerator Synopsis::SymbolFactory::C99</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolFactory.html#C99" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolFactory.hh.html#26">Synopsis/SymbolFactory.hh:26</a>: in class <a href="../Scopes/Synopsis/SymbolFactory.html" >Synopsis::SymbolFactory</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolFactory_mCXX" /><h2 >Enumerator Synopsis::SymbolFactory::CXX</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolFactory.html#CXX" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolFactory.hh.html#26">Synopsis/SymbolFactory.hh:26</a>: in class <a href="../Scopes/Synopsis/SymbolFactory.html" >Synopsis::SymbolFactory</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolFactory_mLanguage" /><h2 >Enum Synopsis::SymbolFactory::Language</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolFactory.html#Language" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolFactory.hh.html#26">Synopsis/SymbolFactory.hh:26</a>: in class <a href="../Scopes/Synopsis/SymbolFactory.html" >Synopsis::SymbolFactory</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/SymbolFactory.hh.html#30">Synopsis/SymbolFactory.hh:30</a>: in class <a href="../Scopes/Synopsis/SymbolFactory.html" >Synopsis::SymbolFactory</a></li>
<li><a href="../Source/Synopsis/SymbolFactory.hh.html#64">Synopsis/SymbolFactory.hh:64</a>: in class <a href="../Scopes/Synopsis/SymbolFactory.html" >Synopsis::SymbolFactory</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolFactory_mNONE" /><h2 >Enumerator Synopsis::SymbolFactory::NONE</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolFactory.html#NONE" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolFactory.hh.html#26">Synopsis/SymbolFactory.hh:26</a>: in class <a href="../Scopes/Synopsis/SymbolFactory.html" >Synopsis::SymbolFactory</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolFactory_mScopes" /><h2 >Typedef Synopsis::SymbolFactory::Scopes</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolFactory.html#Scopes" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolFactory.hh.html#57">Synopsis/SymbolFactory.hh:57</a>: in class <a href="../Scopes/Synopsis/SymbolFactory.html" >Synopsis::SymbolFactory</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/SymbolFactory.hh.html#65">Synopsis/SymbolFactory.hh:65</a>: in class <a href="../Scopes/Synopsis/SymbolFactory.html" >Synopsis::SymbolFactory</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolFactory_mSymbolFactory_lLanguage_r" /><h2 >Constructor Synopsis::SymbolFactory::SymbolFactory&#40;Language&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolFactory.html#SymbolFactory_lLanguage_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolFactory.hh.html#30">Synopsis/SymbolFactory.hh:30</a>: in class <a href="../Scopes/Synopsis/SymbolFactory.html" >Synopsis::SymbolFactory</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolFactory_mcurrent_scope_l_r" /><h2 >Member function Synopsis::SymbolFactory::current_scope&#40;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolFactory.html#current_scope_l_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolFactory.hh.html#32">Synopsis/SymbolFactory.hh:32</a>: in class <a href="../Scopes/Synopsis/SymbolFactory.html" >Synopsis::SymbolFactory</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolFactory_mdeclare_lconst.PTree_mClassSpec_S_r" /><h2 >Synopsis::SymbolFactory::declare&#40;const PTree::ClassSpec*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolFactory.hh.html#49">Synopsis/SymbolFactory.hh:49</a>: in class <a href="../Scopes/Synopsis/SymbolFactory.html" >Synopsis::SymbolFactory</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolFactory_mdeclare_lconst.PTree_mDeclaration_S_r" /><h2 >Synopsis::SymbolFactory::declare&#40;const PTree::Declaration*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolFactory.hh.html#42">Synopsis/SymbolFactory.hh:42</a>: in class <a href="../Scopes/Synopsis/SymbolFactory.html" >Synopsis::SymbolFactory</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolFactory_mdeclare_lconst.PTree_mEnumSpec_S_r" /><h2 >Synopsis::SymbolFactory::declare&#40;const PTree::EnumSpec*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolFactory.hh.html#45">Synopsis/SymbolFactory.hh:45</a>: in class <a href="../Scopes/Synopsis/SymbolFactory.html" >Synopsis::SymbolFactory</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolFactory_mdeclare_lconst.PTree_mNamespaceSpec_S_r" /><h2 >Synopsis::SymbolFactory::declare&#40;const PTree::NamespaceSpec*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolFactory.hh.html#47">Synopsis/SymbolFactory.hh:47</a>: in class <a href="../Scopes/Synopsis/SymbolFactory.html" >Synopsis::SymbolFactory</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolFactory_mdeclare_lconst.PTree_mParameterDeclaration_S_r" /><h2 >Synopsis::SymbolFactory::declare&#40;const PTree::ParameterDeclaration*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolFactory.hh.html#53">Synopsis/SymbolFactory.hh:53</a>: in class <a href="../Scopes/Synopsis/SymbolFactory.html" >Synopsis::SymbolFactory</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolFactory_mdeclare_lconst.PTree_mTemplateDecl_S_r" /><h2 >Synopsis::SymbolFactory::declare&#40;const PTree::TemplateDecl*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolFactory.hh.html#50">Synopsis/SymbolFactory.hh:50</a>: in class <a href="../Scopes/Synopsis/SymbolFactory.html" >Synopsis::SymbolFactory</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolFactory_mdeclare_lconst.PTree_mTypeParameter_S_r" /><h2 >Synopsis::SymbolFactory::declare&#40;const PTree::TypeParameter*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolFactory.hh.html#51">Synopsis/SymbolFactory.hh:51</a>: in class <a href="../Scopes/Synopsis/SymbolFactory.html" >Synopsis::SymbolFactory</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolFactory_mdeclare_lconst.PTree_mTypedef_S_r" /><h2 >Synopsis::SymbolFactory::declare&#40;const PTree::Typedef*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolFactory.hh.html#43">Synopsis/SymbolFactory.hh:43</a>: in class <a href="../Scopes/Synopsis/SymbolFactory.html" >Synopsis::SymbolFactory</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolFactory_mdeclare_lconst.PTree_mUsingDeclaration_S_r" /><h2 >Synopsis::SymbolFactory::declare&#40;const PTree::UsingDeclaration*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolFactory.hh.html#54">Synopsis/SymbolFactory.hh:54</a>: in class <a href="../Scopes/Synopsis/SymbolFactory.html" >Synopsis::SymbolFactory</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolFactory_mdeclare_lconst.PTree_mUsingDirective_S_r" /><h2 >Synopsis::SymbolFactory::declare&#40;const PTree::UsingDirective*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolFactory.hh.html#52">Synopsis/SymbolFactory.hh:52</a>: in class <a href="../Scopes/Synopsis/SymbolFactory.html" >Synopsis::SymbolFactory</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolFactory_menter_scope_lconst.PTree_mBlock_S_r" /><h2 >Synopsis::SymbolFactory::enter_scope&#40;const PTree::Block*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolFactory.hh.html#39">Synopsis/SymbolFactory.hh:39</a>: in class <a href="../Scopes/Synopsis/SymbolFactory.html" >Synopsis::SymbolFactory</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolFactory_menter_scope_lconst.PTree_mClassSpec_S_r" /><h2 >Synopsis::SymbolFactory::enter_scope&#40;const PTree::ClassSpec*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolFactory.hh.html#35">Synopsis/SymbolFactory.hh:35</a>: in class <a href="../Scopes/Synopsis/SymbolFactory.html" >Synopsis::SymbolFactory</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolFactory_menter_scope_lconst.PTree_mFunctionDefinition_S_r" /><h2 >Synopsis::SymbolFactory::enter_scope&#40;const PTree::FunctionDefinition*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolFactory.hh.html#37">Synopsis/SymbolFactory.hh:37</a>: in class <a href="../Scopes/Synopsis/SymbolFactory.html" >Synopsis::SymbolFactory</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolFactory_menter_scope_lconst.PTree_mNamespaceSpec_S_r" /><h2 >Synopsis::SymbolFactory::enter_scope&#40;const PTree::NamespaceSpec*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolFactory.hh.html#34">Synopsis/SymbolFactory.hh:34</a>: in class <a href="../Scopes/Synopsis/SymbolFactory.html" >Synopsis::SymbolFactory</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolFactory_menter_scope_lconst.PTree_mNode_S_r" /><h2 >Synopsis::SymbolFactory::enter_scope&#40;const PTree::Node*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolFactory.hh.html#36">Synopsis/SymbolFactory.hh:36</a>: in class <a href="../Scopes/Synopsis/SymbolFactory.html" >Synopsis::SymbolFactory</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolFactory_menter_scope_lconst.PTree_mTemplateDecl_S_r" /><h2 >Synopsis::SymbolFactory::enter_scope&#40;const PTree::TemplateDecl*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolFactory.hh.html#38">Synopsis/SymbolFactory.hh:38</a>: in class <a href="../Scopes/Synopsis/SymbolFactory.html" >Synopsis::SymbolFactory</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolFactory_mleave_scope_l_r" /><h2 >Member function Synopsis::SymbolFactory::leave_scope&#40;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolFactory.html#leave_scope_l_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolFactory.hh.html#40">Synopsis/SymbolFactory.hh:40</a>: in class <a href="../Scopes/Synopsis/SymbolFactory.html" >Synopsis::SymbolFactory</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolFactory_mlookup_scope_of_qname_lPTree_mEncoding_A_cconst.PTree_mNode_S_r" /><h2 >Synopsis::SymbolFactory::lookup_scope_of_qname&#40;PTree::Encoding&amp;&#44;const PTree::Node*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolFactory.hh.html#62">Synopsis/SymbolFactory.hh:62</a>: in class <a href="../Scopes/Synopsis/SymbolFactory.html" >Synopsis::SymbolFactory</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolFactory_mmy_language" /><h2 >Data member Synopsis::SymbolFactory::my_language</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolFactory.html#my_language" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolFactory.hh.html#64">Synopsis/SymbolFactory.hh:64</a>: in class <a href="../Scopes/Synopsis/SymbolFactory.html" >Synopsis::SymbolFactory</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolFactory_mmy_prototype" /><h2 >Data member Synopsis::SymbolFactory::my_prototype</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolFactory.html#my_prototype" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolFactory.hh.html#70">Synopsis/SymbolFactory.hh:70</a>: in class <a href="../Scopes/Synopsis/SymbolFactory.html" >Synopsis::SymbolFactory</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolFactory_mmy_scopes" /><h2 >Data member Synopsis::SymbolFactory::my_scopes</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolFactory.html#my_scopes" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolFactory.hh.html#65">Synopsis/SymbolFactory.hh:65</a>: in class <a href="../Scopes/Synopsis/SymbolFactory.html" >Synopsis::SymbolFactory</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/SymbolFactory.hh.html#32">Synopsis/SymbolFactory.hh:32</a>: in member function <a href="../Scopes/Synopsis/SymbolFactory.html#current_scope_l_r" >Synopsis::SymbolFactory::current_scope&#40;&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolFactory_mmy_template_parameters" /><h2 >Data member Synopsis::SymbolFactory::my_template_parameters</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolFactory.html#my_template_parameters" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolFactory.hh.html#77">Synopsis/SymbolFactory.hh:77</a>: in class <a href="../Scopes/Synopsis/SymbolFactory.html" >Synopsis::SymbolFactory</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup" /><h2 >Namespace Synopsis::SymbolLookup</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Walker.hh.html#16">Synopsis/SymbolLookup/Walker.hh:16</a>: in namespace <a href="../Scopes/Synopsis/SymbolLookup.html" >Synopsis::SymbolLookup</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Display.hh.html#14">Synopsis/SymbolLookup/Display.hh:14</a>: in namespace <a href="../Scopes/Synopsis/SymbolLookup.html" >Synopsis::SymbolLookup</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#16">Synopsis/SymbolLookup/Scope.hh:16</a>: in namespace <a href="../Scopes/Synopsis/SymbolLookup.html" >Synopsis::SymbolLookup</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#15">Synopsis/SymbolLookup/Symbol.hh:15</a>: in namespace <a href="../Scopes/Synopsis/SymbolLookup.html" >Synopsis::SymbolLookup</a></li>
<li><a href="../Source/Synopsis/SymbolFactory.hh.html#15">Synopsis/SymbolFactory.hh:15</a>: in namespace <a href="../Scopes/Synopsis/SymbolLookup.html" >Synopsis::SymbolLookup</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#17">Synopsis/SymbolLookup/Scopes.hh:17</a>: in namespace <a href="../Scopes/Synopsis/SymbolLookup.html" >Synopsis::SymbolLookup</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mClass" /><h2 >Class Synopsis::SymbolLookup::Class</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/Class.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#142">Synopsis/SymbolLookup/Scopes.hh:142</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Class.html" >Synopsis::SymbolLookup::Class</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Display.hh.html#57">Synopsis/SymbolLookup/Display.hh:57</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/ScopeDisplay.html" >Synopsis::SymbolLookup::ScopeDisplay</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#39">Synopsis/SymbolLookup/Scopes.hh:39</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/ScopeVisitor.html" >Synopsis::SymbolLookup::ScopeVisitor</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#109">Synopsis/SymbolLookup/Scopes.hh:109</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/FunctionScope.html" >Synopsis::SymbolLookup::FunctionScope</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#145">Synopsis/SymbolLookup/Scopes.hh:145</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Class.html" >Synopsis::SymbolLookup::Class</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#123">Synopsis/SymbolLookup/Symbol.hh:123</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/ClassName.html" >Synopsis::SymbolLookup::ClassName</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#144">Synopsis/SymbolLookup/Symbol.hh:144</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/ClassTemplateName.html" >Synopsis::SymbolLookup::ClassTemplateName</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#145">Synopsis/SymbolLookup/Scopes.hh:145</a>: Typedef <a href="../Scopes/Synopsis/SymbolLookup/Class.html#Bases" >Bases</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#148">Synopsis/SymbolLookup/Scopes.hh:148</a>: Constructor <a href="../Scopes/Synopsis/SymbolLookup/Class.html#Class_lconst.PTree_mClassSpec_S_cconst.Scope_S_cconst.Bases_A_cconst.TemplateParameterScope_S_r" >Class&#40;const PTree::ClassSpec*&#44;const Scope*&#44;const Bases&amp;&#44;const TemplateParameterScope*&#41;</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#153">Synopsis/SymbolLookup/Scopes.hh:153</a>: Member function <a href="../Scopes/Synopsis/SymbolLookup/Class.html#outer_scope_l_rconst" >outer_scope&#40;&#41;const</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#155">Synopsis/SymbolLookup/Scopes.hh:155</a>: Member function <a href="../Scopes/Synopsis/SymbolLookup/Class.html#unqualified_lookup_lconst.PTree_mEncoding_A_cScope_mLookupContext_rconst" >unqualified_lookup&#40;const PTree::Encoding&amp;&#44;Scope::LookupContext&#41;const</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#158">Synopsis/SymbolLookup/Scopes.hh:158</a>: Member function <a href="../Scopes/Synopsis/SymbolLookup/Class.html#name_l_rconst" >name&#40;&#41;const</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#160">Synopsis/SymbolLookup/Scopes.hh:160</a>: Member function <a href="../Scopes/Synopsis/SymbolLookup/Class.html#accept_lScopeVisitor_S_r" >accept&#40;ScopeVisitor*&#41;</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#163">Synopsis/SymbolLookup/Scopes.hh:163</a>: Destructor <a href="../Scopes/Synopsis/SymbolLookup/Class.html#_tClass_l_r" >~Class&#40;&#41;</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#166">Synopsis/SymbolLookup/Scopes.hh:166</a>: Data member <a href="../Scopes/Synopsis/SymbolLookup/Class.html#my_spec" >my_spec</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#167">Synopsis/SymbolLookup/Scopes.hh:167</a>: Data member <a href="../Scopes/Synopsis/SymbolLookup/Class.html#my_outer" >my_outer</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#168">Synopsis/SymbolLookup/Scopes.hh:168</a>: Data member <a href="../Scopes/Synopsis/SymbolLookup/Class.html#my_bases" >my_bases</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#169">Synopsis/SymbolLookup/Scopes.hh:169</a>: Data member <a href="../Scopes/Synopsis/SymbolLookup/Class.html#my_parameters" >my_parameters</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mClass_mBases" /><h2 >Typedef Synopsis::SymbolLookup::Class::Bases</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/Class.html#Bases" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#145">Synopsis/SymbolLookup/Scopes.hh:145</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Class.html" >Synopsis::SymbolLookup::Class</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#148">Synopsis/SymbolLookup/Scopes.hh:148</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Class.html" >Synopsis::SymbolLookup::Class</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#168">Synopsis/SymbolLookup/Scopes.hh:168</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Class.html" >Synopsis::SymbolLookup::Class</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mClass_mClass_lconst.PTree_mClassSpec_S_cconst.Scope_S_cconst.Bases_A_cconst.TemplateParameterScope_S_r" /><h2 >Synopsis::SymbolLookup::Class::Class&#40;const PTree::ClassSpec*&#44;const Scope*&#44;const Bases&amp;&#44;const TemplateParameterScope*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#147">Synopsis/SymbolLookup/Scopes.hh:147</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Class.html" >Synopsis::SymbolLookup::Class</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mClass_maccept_lScopeVisitor_S_r" /><h2 >Member function Synopsis::SymbolLookup::Class::accept&#40;ScopeVisitor*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/Class.html#accept_lScopeVisitor_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#160">Synopsis/SymbolLookup/Scopes.hh:160</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Class.html" >Synopsis::SymbolLookup::Class</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mClass_mmy_bases" /><h2 >Data member Synopsis::SymbolLookup::Class::my_bases</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/Class.html#my_bases" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#168">Synopsis/SymbolLookup/Scopes.hh:168</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Class.html" >Synopsis::SymbolLookup::Class</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mClass_mmy_outer" /><h2 >Data member Synopsis::SymbolLookup::Class::my_outer</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/Class.html#my_outer" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#167">Synopsis/SymbolLookup/Scopes.hh:167</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Class.html" >Synopsis::SymbolLookup::Class</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#153">Synopsis/SymbolLookup/Scopes.hh:153</a>: in member function <a href="../Scopes/Synopsis/SymbolLookup/Class.html#outer_scope_l_rconst" >Synopsis::SymbolLookup::Class::outer_scope&#40;&#41;const</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#163">Synopsis/SymbolLookup/Scopes.hh:163</a>: in member function <a href="../Scopes/Synopsis/SymbolLookup/Class.html#_tClass_l_r" >Synopsis::SymbolLookup::Class::~Class&#40;&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mClass_mmy_parameters" /><h2 >Data member Synopsis::SymbolLookup::Class::my_parameters</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/Class.html#my_parameters" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#169">Synopsis/SymbolLookup/Scopes.hh:169</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Class.html" >Synopsis::SymbolLookup::Class</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mClass_mmy_spec" /><h2 >Data member Synopsis::SymbolLookup::Class::my_spec</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/Class.html#my_spec" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#166">Synopsis/SymbolLookup/Scopes.hh:166</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Class.html" >Synopsis::SymbolLookup::Class</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mClass_mname_l_rconst" /><h2 >Member function Synopsis::SymbolLookup::Class::name&#40;&#41;const</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/Class.html#name_l_rconst" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#158">Synopsis/SymbolLookup/Scopes.hh:158</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Class.html" >Synopsis::SymbolLookup::Class</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mClass_mouter_scope_l_rconst" /><h2 >Member function Synopsis::SymbolLookup::Class::outer_scope&#40;&#41;const</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/Class.html#outer_scope_l_rconst" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#153">Synopsis/SymbolLookup/Scopes.hh:153</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Class.html" >Synopsis::SymbolLookup::Class</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mClass_munqualified_lookup_lconst.PTree_mEncoding_A_cScope_mLookupContext_rconst" /><h2 >Synopsis::SymbolLookup::Class::unqualified_lookup&#40;const PTree::Encoding&amp;&#44;Scope::LookupContext&#41;const</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#155">Synopsis/SymbolLookup/Scopes.hh:155</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Class.html" >Synopsis::SymbolLookup::Class</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mClass_m_tClass_l_r" /><h2 >Destructor Synopsis::SymbolLookup::Class::~Class&#40;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/Class.html#_tClass_l_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#163">Synopsis/SymbolLookup/Scopes.hh:163</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Class.html" >Synopsis::SymbolLookup::Class</a></li>
</ul></li>
</ul>
</div>
<div class="logo">Generated on Thu Apr 16 16:28:05 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
